This commit is contained in:
parent
f237d1441b
commit
64a650bf09
@ -1,12 +1,6 @@
|
|||||||
---
|
--- scripts/find-debuginfo.sh
|
||||||
scripts/find-debuginfo.sh | 78 ++++++++++++++++++++++++++++++++++++++--------
|
|
||||||
1 file changed, 65 insertions(+), 13 deletions(-)
|
|
||||||
|
|
||||||
Index: scripts/find-debuginfo.sh
|
|
||||||
===================================================================
|
|
||||||
--- scripts/find-debuginfo.sh.orig
|
|
||||||
+++ scripts/find-debuginfo.sh
|
+++ scripts/find-debuginfo.sh
|
||||||
@@ -14,9 +14,18 @@ debugdir="${RPM_BUILD_ROOT}/usr/lib/debu
|
@@ -14,9 +14,18 @@
|
||||||
echo -n > $SOURCEFILE
|
echo -n > $SOURCEFILE
|
||||||
|
|
||||||
# Strip ELF binaries
|
# Strip ELF binaries
|
||||||
@ -27,7 +21,7 @@ Index: scripts/find-debuginfo.sh
|
|||||||
dn=$(dirname $f | sed -n -e "s#^$RPM_BUILD_ROOT##p")
|
dn=$(dirname $f | sed -n -e "s#^$RPM_BUILD_ROOT##p")
|
||||||
bn=$(basename $f .debug).debug
|
bn=$(basename $f .debug).debug
|
||||||
|
|
||||||
@@ -25,6 +34,8 @@ do
|
@@ -25,6 +34,8 @@
|
||||||
[ -f "${debugfn}" ] && continue
|
[ -f "${debugfn}" ] && continue
|
||||||
|
|
||||||
echo extracting debug info from $f
|
echo extracting debug info from $f
|
||||||
@ -36,7 +30,7 @@ Index: scripts/find-debuginfo.sh
|
|||||||
/usr/lib/rpm/debugedit -b "$RPM_BUILD_DIR" -d /usr/src/debug -l "$SOURCEFILE" "$f"
|
/usr/lib/rpm/debugedit -b "$RPM_BUILD_DIR" -d /usr/src/debug -l "$SOURCEFILE" "$f"
|
||||||
|
|
||||||
# A binary already copied into /usr/lib/debug doesn't get stripped,
|
# A binary already copied into /usr/lib/debug doesn't get stripped,
|
||||||
@@ -34,19 +45,60 @@ do
|
@@ -34,19 +45,63 @@
|
||||||
esac
|
esac
|
||||||
|
|
||||||
mkdir -p "${debugdn}"
|
mkdir -p "${debugdn}"
|
||||||
@ -47,6 +41,8 @@ Index: scripts/find-debuginfo.sh
|
|||||||
- eu-strip -f "${debugfn}" "$f" || :
|
- eu-strip -f "${debugfn}" "$f" || :
|
||||||
- chmod u-w "$f"
|
- chmod u-w "$f"
|
||||||
+ objcopy --only-keep-debug $f $debugfn || :
|
+ objcopy --only-keep-debug $f $debugfn || :
|
||||||
|
+ (
|
||||||
|
+ shopt -s extglob
|
||||||
+ strip_option="--strip-all"
|
+ strip_option="--strip-all"
|
||||||
+ case "$f" in
|
+ case "$f" in
|
||||||
+ *.ko)
|
+ *.ko)
|
||||||
@ -61,8 +57,9 @@ Index: scripts/find-debuginfo.sh
|
|||||||
+ if test "$NO_DEBUGINFO_STRIP_DEBUG" = true ; then
|
+ if test "$NO_DEBUGINFO_STRIP_DEBUG" = true ; then
|
||||||
+ strip_option=
|
+ strip_option=
|
||||||
fi
|
fi
|
||||||
+ objcopy --add-gnu-debuglink=$debugfn $strip_option $f || :
|
+ objcopy --add-gnu-debuglink=$debugfn -R .comment -R .GCC.command.line $strip_option $f
|
||||||
+ chmod $mode $f
|
+ chmod $mode $f
|
||||||
|
+ ) || :
|
||||||
done
|
done
|
||||||
|
|
||||||
+#for f in `find $RPM_BUILD_ROOT ! -path "${debugdir}/*.debug" -type f \( -name "*.exe.mdb" -or -name "*.dll.mdb" \) `
|
+#for f in `find $RPM_BUILD_ROOT ! -path "${debugdir}/*.debug" -type f \( -name "*.exe.mdb" -or -name "*.dll.mdb" \) `
|
||||||
|
@ -1,3 +1,8 @@
|
|||||||
|
-------------------------------------------------------------------
|
||||||
|
Sat Aug 30 21:23:38 CEST 2008 - cthiel@suse.de
|
||||||
|
|
||||||
|
- add libselinux-devel to BuildRequires
|
||||||
|
|
||||||
-------------------------------------------------------------------
|
-------------------------------------------------------------------
|
||||||
Thu Aug 7 16:05:51 CEST 2008 - dmueller@suse.de
|
Thu Aug 7 16:05:51 CEST 2008 - dmueller@suse.de
|
||||||
|
|
||||||
|
@ -19,12 +19,12 @@
|
|||||||
|
|
||||||
|
|
||||||
Name: rpm-python
|
Name: rpm-python
|
||||||
BuildRequires: libbz2-devel lzma-alpha-devel ncurses-devel python-devel zlib-devel
|
BuildRequires: libbz2-devel libselinux-devel lzma-alpha-devel ncurses-devel python-devel zlib-devel
|
||||||
License: GPL v2 or later
|
License: GPL v2 or later
|
||||||
Group: System/Packages
|
Group: System/Packages
|
||||||
Summary: Python Bindings for Manipulating RPM Packages
|
Summary: Python Bindings for Manipulating RPM Packages
|
||||||
Version: 4.4.2
|
Version: 4.4.2
|
||||||
Release: 277
|
Release: 278
|
||||||
Requires: rpm = %{version}
|
Requires: rpm = %{version}
|
||||||
%py_requires
|
%py_requires
|
||||||
Source99: rpm.spec
|
Source99: rpm.spec
|
||||||
@ -69,6 +69,8 @@ rm -rf $RPM_BUILD_ROOT
|
|||||||
%{_libdir}/python*
|
%{_libdir}/python*
|
||||||
|
|
||||||
%changelog
|
%changelog
|
||||||
|
* Sat Aug 30 2008 cthiel@suse.de
|
||||||
|
- add libselinux-devel to BuildRequires
|
||||||
* Thu Aug 07 2008 dmueller@suse.de
|
* Thu Aug 07 2008 dmueller@suse.de
|
||||||
- fix build against python 2.6
|
- fix build against python 2.6
|
||||||
* Thu Mar 27 2008 coolo@suse.de
|
* Thu Mar 27 2008 coolo@suse.de
|
||||||
|
@ -1,3 +1,8 @@
|
|||||||
|
-------------------------------------------------------------------
|
||||||
|
Fri Sep 5 16:56:23 CEST 2008 - dmueller@suse.de
|
||||||
|
|
||||||
|
- strip .comment and .GCC.command.line sections from ELF binaries
|
||||||
|
|
||||||
-------------------------------------------------------------------
|
-------------------------------------------------------------------
|
||||||
Mon Aug 25 14:48:28 CEST 2008 - prusnak@suse.cz
|
Mon Aug 25 14:48:28 CEST 2008 - prusnak@suse.cz
|
||||||
|
|
||||||
|
8
rpm.spec
8
rpm.spec
@ -27,7 +27,7 @@ PreReq: %insserv_prereq %fillup_prereq permissions
|
|||||||
AutoReqProv: on
|
AutoReqProv: on
|
||||||
Summary: The RPM Package Manager
|
Summary: The RPM Package Manager
|
||||||
Version: 4.4.2
|
Version: 4.4.2
|
||||||
Release: 215
|
Release: 217
|
||||||
Source: rpm-%{version}.tar.bz2
|
Source: rpm-%{version}.tar.bz2
|
||||||
Source1: RPM-HOWTO.tar.bz2
|
Source1: RPM-HOWTO.tar.bz2
|
||||||
Source2: RPM-Tips.html.tar.bz2
|
Source2: RPM-Tips.html.tar.bz2
|
||||||
@ -361,7 +361,7 @@ Summary: A C library for parsing command line parameters
|
|||||||
License: LGPL v2.1 or later
|
License: LGPL v2.1 or later
|
||||||
Group: System/Libraries
|
Group: System/Libraries
|
||||||
Version: 1.7
|
Version: 1.7
|
||||||
Release: 443
|
Release: 445
|
||||||
#
|
#
|
||||||
|
|
||||||
%description -n popt
|
%description -n popt
|
||||||
@ -384,7 +384,7 @@ Summary: C Library for Parsing Command Line Parameters
|
|||||||
License: LGPL v2.1 or later
|
License: LGPL v2.1 or later
|
||||||
Group: System/Libraries
|
Group: System/Libraries
|
||||||
Version: 1.7
|
Version: 1.7
|
||||||
Release: 443
|
Release: 445
|
||||||
Requires: popt = 1.7
|
Requires: popt = 1.7
|
||||||
Requires: glibc-devel
|
Requires: glibc-devel
|
||||||
|
|
||||||
@ -419,6 +419,8 @@ Authors:
|
|||||||
%doc %{_mandir}/man3/popt.3*
|
%doc %{_mandir}/man3/popt.3*
|
||||||
|
|
||||||
%changelog
|
%changelog
|
||||||
|
* Fri Sep 05 2008 dmueller@suse.de
|
||||||
|
- strip .comment and .GCC.command.line sections from ELF binaries
|
||||||
* Mon Aug 25 2008 prusnak@suse.cz
|
* Mon Aug 25 2008 prusnak@suse.cz
|
||||||
- enabled SELinux support [Fate#303662]
|
- enabled SELinux support [Fate#303662]
|
||||||
* Thu Aug 21 2008 ro@suse.de
|
* Thu Aug 21 2008 ro@suse.de
|
||||||
|
Loading…
x
Reference in New Issue
Block a user